Lấy danh sách các loại phụ phí cấp sản phẩm có thể chọn
curl --request GET \
--url https://seller.hogotopod.com/api/v1/partner/product-fees \
--header 'X-Tenant: <api-key>'const options = {method: 'GET', headers: {'X-Tenant': '<api-key>'}};
fetch('https://seller.hogotopod.com/api/v1/partner/product-fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller.hogotopod.com/api/v1/partner/product-fees"
headers = {"X-Tenant": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://seller.hogotopod.com/api/v1/partner/product-fees")
.header("X-Tenant", "<api-key>")
.asString();[
{
"applicableProductTypes": [
"<string>"
],
"autoApplied": true,
"autoApplyNote": "<string>",
"code": "<string>",
"description": "<string>",
"name": "<string>",
"orderNo": 123,
"selectable": true,
"value": 123,
"valueConfigUnit": "<string>"
}
]Catalogs & Options
Lấy danh sách các loại phụ phí cấp sản phẩm có thể chọn
Cùng nguồn dữ liệu và quy tắc lọc với màn hình tạo đơn khách hàng (form-order):
- Chỉ trả về các phụ phí khách/đối tác có thể chủ động chọn (FEE_PRODUCT = 32); các phí hệ thống tự động tính (như phụ phí vượt mũi thêu EMBROIDERY_STITCH_OVERAGE) hoặc phí đã ngừng được ẩn đi hoàn toàn
- Có thể truyền tham số
productType(EMBROIDERY, PRINT_2D, PRINT_3D, PRINT_UV, PRINT_3D_EMBROIDERY) để lọc phụ phí theo loại sản phẩm - Nếu không truyền
productType, trả về toàn bộ phụ phí cấp sản phẩm có thể chọn - Dùng mã
codeđể truyền vào mảngproducts[].feeCodeskhi tạo đơn qua POST /v1/partner/order/store
GET
/
v1
/
partner
/
product-fees
Lấy danh sách các loại phụ phí cấp sản phẩm có thể chọn
curl --request GET \
--url https://seller.hogotopod.com/api/v1/partner/product-fees \
--header 'X-Tenant: <api-key>'const options = {method: 'GET', headers: {'X-Tenant': '<api-key>'}};
fetch('https://seller.hogotopod.com/api/v1/partner/product-fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://seller.hogotopod.com/api/v1/partner/product-fees"
headers = {"X-Tenant": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://seller.hogotopod.com/api/v1/partner/product-fees")
.header("X-Tenant", "<api-key>")
.asString();[
{
"applicableProductTypes": [
"<string>"
],
"autoApplied": true,
"autoApplyNote": "<string>",
"code": "<string>",
"description": "<string>",
"name": "<string>",
"orderNo": 123,
"selectable": true,
"value": 123,
"valueConfigUnit": "<string>"
}
]Authorizations
X-TenantX-API-Key
Query Parameters
Loại sản phẩm cần lọc phụ phí
Available options:
EMBROIDERY, PRINT_2D, PRINT_3D, PRINT_3D_EMBROIDERY, PRINT_UV Ngôn ngữ hiển thị tên phụ phí (vi, en)
Response
OK
Danh sách loại sản phẩm áp dụng phụ phí này (EMBROIDERY, PRINT_2D, PRINT_3D, PRINT_UV, PRINT_3D_EMBROIDERY)
Hệ thống có tự động nhận diện và gắn phụ phí này không
Ghi chú hoặc điều kiện tự động gắn phụ phí từ hệ thống
Mã phụ phí sản phẩm (dùng gửi vào products[].feeCodes)
Mô tả chi tiết phụ phí
Tên hiển thị phụ phí (theo đa ngôn ngữ)
Thứ tự hiển thị / sắp xếp
Cho phép đối tác chủ động chọn / gửi mã qua feeCodes (false nếu là phụ phí hệ thống tự động tính)
Mức phí mặc định hoặc cấu hình
Đơn vị tính phí (nếu có, ví dụ $, USD)